[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: FC5 & RT



On Wed, 2006-09-13 at 11:25 -0400, Jeff Voskamp wrote:
> Ralf Corsepius wrote:
> > On Wed, 2006-09-13 at 10:02 -0400, Jeff Voskamp wrote:
> >   
> >> Ralf Corsepius wrote:
> >>     
> >>> On Wed, 2006-09-13 at 09:14 -0400, Jeff Voskamp wrote:
> >>>   
> >>>       
> >>>> FC6t2 extras has a much newer version of RT - 3.6.1 vs 3.4.5.
> >>>>         
> >>> Yes, the version in FE6 is ca. 8 months newer, but is incompatible to
> >>> 3.4.5 - Which is the reason why it is not in FE5 ;)
> >>>
> >>>       
> >    
> >   
> >> It does seem to be LSB compliant though.
> >>     
> >
> > The only major packaging difference is the FE6 version having moved it's
> > html pages to /usr/share/* - Whether this qualifies it as more LSB
> > compliant is arguable. It matches better into FE's preferences, that's
> > true. Whether switching to this layout for the FE5 variant at this point
> > in time is good idea is questionable, because it would be a major
> > changes and is not unlikely to kill customizations users might have
> > applied.
> >
> > The main incompatibility however is the db-format being used.
> > The db-format being used by 3.6.1 is incompatible to 3.4.5, and
> > automatically converting them is hardly possible through rpm.
> >   
> db format is compatible, but there is some content to be added on a per 
> user basis - little things like
> screen layout and default searches.
== incompatible db-format. A 3.4.5 db won't work with 3.6.x, but a 3.6.x
generated db will work with 3.4.x ;)

>  It's easy to tell the post-install 
> script we're updating the package
Exactly this is not easy ...

>  - how do we find out the old version number?
... because of this
... and because rpm can't expect to have access to the db.

Ralf



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]